Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::ServerInformationIterator Class Reference

`#include <ImplRepoS.h>`

Inheritance diagram for POA_ImplementationRepository::ServerInformationIterator:

[legend]
Collaboration diagram for POA_ImplementationRepository::ServerInformationIterator:

[legend]
List of all members.

## Public Types
typedef ::ImplementationRepository::ServerInformationIterator | _stub_type
typedef ::ImplementationRepository::ServerInformationIterator_ptr | _stub_ptr_type
typedef ::ImplementationRepository::ServerInformationIterator_var | _stub_var_type
## Public Methods
| ServerInformationIterator (const ServerInformationIterator &rhs)
virtual | ~ServerInformationIterator (void)
virtual CORBA::Boolean | _is_a (const char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Local implementation of the CORBA::Object::_is_a method.
virtual void * | _downcast (const char *logical_type_id)
| Get the correct vtable.
virtual void | _dispatch (TAO_ServerRequest &req, void *_servant_upcall ACE_ENV_ARG_DECL)
::ImplementationRepository::ServerInformationIterator * | _this (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
| Get this interface's repository id (TAO specific).
virtual CORBA::Boolean | next_n (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
## Static Public Methods
void | _is_a_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _non_existent_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _interface_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _component_skel (TAO_ServerRequest &req, void *obj, void *servant_upcall ACE_ENV_ARG_DECL)
void | next_n_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | destroy_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
## Protected Methods
| ServerInformationIterator (void)

## Member Typedef Documentation

typedef ::ImplementationRepository::ServerInformationIterator_ptr POA_ImplementationRepository::ServerInformationIterator::_stub_ptr_type

typedef ::ImplementationRepository::ServerInformationIterator POA_ImplementationRepository::ServerInformationIterator::_stub_type

typedef ::ImplementationRepository::ServerInformationIterator_var POA_ImplementationRepository::ServerInformationIterator::_stub_var_type

## Constructor & Destructor Documentation

POA_ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | void |  | ) | `[protected]`

POA_ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | const ServerInformationIterator & | rhs | ) |

POA_ImplementationRepository::ServerInformationIterator::~ServerInformationIterator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_ImplementationRepository::ServerInformationIterator::_component_skel | ( | TAO_ServerRequest & | req,
|  | void * | obj,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::ServerInformationIterator::_dispatch | ( | TAO_ServerRequest & | req,
|  | void *_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[virtual]`

void * POA_ImplementationRepository::ServerInformationIterator::_downcast | ( | const char * | logical_type_id | ) | `[virtual]`

| Get the correct vtable. Implements TAO_ServantBase.

const char * POA_ImplementationRepository::ServerInformationIterator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Get this interface's repository id (TAO specific). Implements TAO_ServantBase.

void POA_ImplementationRepository::ServerInformationIterator::_interface_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual CORBA::Boolean POA_ImplementationRepository::ServerInformationIterator::_is_a | ( | const char *logical_type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Local implementation of the CORBA::Object::_is_a method. Reimplemented from TAO_ServantBase.

void POA_ImplementationRepository::ServerInformationIterator::_is_a_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

void POA_ImplementationRepository::ServerInformationIterator::_non_existent_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

ImplementationRepository::ServerInformationIterator * POA_ImplementationRepository::ServerInformationIterator::_this | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

virtual void POA_ImplementationRepository::ServerInformationIterator::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_ImplementationRepository::ServerInformationIterator::destroy_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual CORBA::Boolean POA_ImplementationRepository::ServerInformationIterator::next_n | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out server_list | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_ImplementationRepository::ServerInformationIterator::next_n_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

The documentation for this class was generated from the following files:

- ImplRepoS.h
- ImplRepoS.cpp